summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDaniel Drake <dsd@gentoo.org>2005-06-05 22:48:32 +0000
committerDaniel Drake <dsd@gentoo.org>2005-06-05 22:48:32 +0000
commit1cf7a1ea503e514b688de6dac4c1decad51c0061 (patch)
treeee4e002bac0925cadcc9c3b69a2c3c7152881f11 /eclass
parentdosemu version bump (diff)
downloadhistorical-1cf7a1ea503e514b688de6dac4c1decad51c0061.tar.gz
historical-1cf7a1ea503e514b688de6dac4c1decad51c0061.tar.bz2
historical-1cf7a1ea503e514b688de6dac4c1decad51c0061.zip
Fix should_we_gcc_config
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 07d95a785bee..92160eb06164 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.162 2005/06/02 23:46:41 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.163 2005/06/05 22:48:32 dsd Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -1848,7 +1848,7 @@ do_gcc_PIE_patches() {
should_we_gcc_config() {
# we only want to switch compilers if installing to / or /tmp/stage1root
- [[ ${ROOT} == "/" || ${ROOT} == "/tmp/stage1root" ]] && return 1
+ [[ ${ROOT} == "/" || ${ROOT} == "/tmp/stage1root" ]] || return 1
# we always want to run gcc-config if we're bootstrapping, otherwise
# we might get stuck with the c-only stage1 compiler